Page MenuHomePhabricator

Cite: 'Autofill from URL' initially shows Basic as a type for inserted citation in context menu, then corrects when re-selected
Closed, ResolvedPublic8 Story Points

Description

Steps to reproduce:

  1. In VE insert 'Autofill from URL' - the inserted citation will display Basic type after Insert.
  2. Hover over the inserted citation - the type will be changed to Website .

Event Timeline

Etonkovidova raised the priority of this task from to Normal.
Etonkovidova updated the task description. (Show Details)
Etonkovidova added a project: VisualEditor.
Etonkovidova added a subscriber: Etonkovidova.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 30 2015, 8:45 PM
Jdforrester-WMF renamed this task from Cite: 'Autofill from URL' shows Basic as a type for inserted citation to Cite: 'Autofill from URL' initially shows Basic as a type for inserted citation in context menu, then corrects when re-selected.Jan 31 2015, 2:11 AM
Jdforrester-WMF set Security to None.
Jdforrester-WMF moved this task from To Triage to TR6: Visual diffs on the VisualEditor board.
Mvolz moved this task from Backlog to Extension on the Citoid board.Feb 7 2015, 2:47 PM
Mvolz added a subscriber: Mvolz.Feb 10 2015, 6:17 PM

Trevor; at KIT they said you were changing how this was done soon?

gerritbot added a subscriber: gerritbot.

Change 190973 had a related patch set uploaded (by Mooeypoo):
Refactor Citoid extension as an inspector

https://gerrit.wikimedia.org/r/190973

Patch-For-Review

Mooeypoo claimed this task.Feb 17 2015, 7:29 PM

Change 190973 merged by jenkins-bot:
Refactor Citoid extension as an inspector

https://gerrit.wikimedia.org/r/190973

Jdforrester-WMF closed this task as Resolved.Mar 9 2015, 10:03 PM
Jdforrester-WMF moved this task from Accepted to Done on the VisualEditor 2014/15 Q3 blockers board.
Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.Mar 10 2015, 4:15 PM

Re-checked in betalabs for a new re-designed dialog citation inspector - all citation entered via "Autofill citations by URL or DOI" are of Website type.

Mvolz added a comment.Mar 11 2015, 3:58 PM

@Etonkovidova : Did you try a nytimes link? I just did and it came out as "news". When we can't determine the type of a resource, the default type is "website" so sometimes it seems like everything is "web".

If you'd like some guaranteed (pretty much) types for testing, nytimes always comes out as "news", and pubmed links www.ncbi.nlm.nih.gov/pubmed/23555203 as "journal", and imdb links should come out as "Citation" since that's what's in the typemap right now: http://en.wikipedia.beta.wmflabs.org/wiki/MediaWiki:Citoid-template-type-map.json.

If zotero goes down, then all of those may come out as websites, with the exception of imdb, I think- kind of a moving target as we improve our ability to natively categorise resources instead of relying on zotero and using webpage as a default.

Thanks for suggestions! Checked in betalabs and test2

I tried the cases you suggested with 'Add citation' feature:

  • typing nytimes and cliking 'Lookup' - will be saved as Website citation type with URL: http://nytimes - which is most likely another bug
  • www.ncbi.nlm.nih.gov/pubmed/23555203 - will indeed be saved as Journal
  • imdb - will be saved as Website

Thanks for suggestions! Checked in betalabs and test2
I tried the cases you suggested with 'Add citation' feature:

  • typing nytimes and cliking 'Lookup' - will be saved as Website citation type with URL: http://nytimes - which is most likely another bug
  • www.ncbi.nlm.nih.gov/pubmed/23555203 - will indeed be saved as Journal
  • imdb - will be saved as Website

This was fixed by https://gerrit.wikimedia.org/r/#/c/197718/ (merged) see https://phabricator.wikimedia.org/T93005

Thanks!
Checked again:
Entering in 'Add citation' nytimes and imdb will return "We couldn't make a citation for you. You can make one by using the full citation dialog." - which is correct behaviour.